-- Initialization

local config_path = vim.fn.stdpath('config') .. '/'

require('conf.plugins')
require('conf.keybinds')
require('conf.config')
require('conf.ui')
require('conf.search')
require('conf.git')
require('conf.ui')

local paths = vim.fn.glob(config_path .. 'lua/conf/langs/*.lua', true, true, true)

for _, file in ipairs(paths) do
	loadfile(file)()
end
