-- Python configurations

vim.api.nvim_create_autocmd(
    {
        "BufNewFile",
        "BufRead",
    },
    {
        pattern = "*.py",
        callback = function()
            local buf = vim.api.nvim_get_current_buf()
            vim.api.nvim_buf_set_option(buf, "expandtab", true)
            vim.api.nvim_buf_set_option(buf, "autoindent", true)
            vim.api.nvim_buf_set_option(buf, "tabstop", 4)
            vim.api.nvim_buf_set_option(buf, "softtabstop", 4)
            vim.api.nvim_buf_set_option(buf, "shiftwidth", 4)
        end
    }
)
