-- Specific search configurations

-- ctrlp hotkeys
vim.g.ctrlp_map = '<c-p>'
vim.g.ctrlp_cmd = 'CtrlP'

-- Rebind Ctrl-P to match the window opening keys of nerd tree
vim.g.ctrl_p_prompt_mappings = {
  ['AcceptSelection("h")'] = {'<c-i>','<c-cr>','<c-s>'},
	['AcceptSelection("v")'] = {'<c-s>','<RightMouse>' },
}

-- ctrlp configuration
vim.opt.wildignore = {
	"*/tmp/*",
	"*.so",
	"*.swp",
	"*.zip",
	"*\\tmp\\*",
	"*.exe",
	"*.out"
}
